org.eclipse.jetty.annotations

## Class WebListenerAnnotation

- java.lang.Object
- - org.eclipse.jetty.webapp.DiscoveredAnnotation
  - - org.eclipse.jetty.annotations.WebListenerAnnotation

    public class WebListenerAnnotation
    extends DiscoveredAnnotation

WebListenerAnnotation

### Field Summary

### Fields inherited from class org.eclipse.jetty.webapp.DiscoveredAnnotation

`_className, _clazz, _context, _resource`

### Constructor Summary

Constructors
Constructor and Description
`WebListenerAnnotation(WebAppContext context, String className)`
`WebListenerAnnotation(WebAppContext context, String className, Resource resource)`

### Method Summary

Methods
`void` `apply()`

### Methods inherited from class org.eclipse.jetty.webapp.DiscoveredAnnotation

`getResource, getTargetClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebListenerAnnotation

    public WebListenerAnnotation(WebAppContext context,
                         String className)

Parameters:
  `context` -
  `className` -

#### WebListenerAnnotation

    public WebListenerAnnotation(WebAppContext context,
                         String className,
                         Resource resource)

### Method Detail

#### apply

    public void apply()

Specified by:
  `apply` in class `DiscoveredAnnotation`
See Also:
  `ClassAnnotation`